Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.dsp.management.beans
Class StaticServiceAccountConfig

    java.lang.Object
      com.bea.dsp.management.beans.ServiceAccountConfig
          com.bea.dsp.management.beans.StaticServiceAccountConfig

All Implemented Interfaces:
  Validatable, java.io.Serializable

    public final class StaticServiceAccountConfig

extends ServiceAccountConfig

A Service Account where all the

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.bea.dsp.management.beans.ServiceAccountConfig
`ServiceAccountConfig.Password, ServiceAccountConfig.Type`

Constructor Summary
`StaticServiceAccountConfig(java.lang.String name)`

Method Summary
`byte[]` | `getRemotePassword()` Returns the encrypted password of the remote user returned by getRemoteUserName.
`java.lang.String` | `getRemoteUserName()` Returns the configured remote user name.
`ServiceAccountConfig.Type` | `getType()`
`void` | `setRemotePassword(byte[] remotePassword)` Sets the password for the remote user.
`void` | `setRemoteUserName(java.lang.String remoteUserName)` Configure the static remote username.
`void` | `setUnEncryptedPassword(java.lang.String remotePassword)` sets the unencrypted password for the remote user.
`void` | `validate()` Validates bean specific attributes.

Methods inherited from class com.bea.dsp.management.beans.ServiceAccountConfig
`getDescription, getName, setDescription`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StaticServiceAccountConfig

    public StaticServiceAccountConfig(java.lang.String name)

Method Detail

### getType

    public ServiceAccountConfig.Type getType()

  Specified by:
    `getType` in class `ServiceAccountConfig`

### getRemoteUserName

    public java.lang.String getRemoteUserName()

  Returns the configured remote user name.

  Returns:

### setRemoteUserName

    public void setRemoteUserName(java.lang.String remoteUserName)

  Configure the static remote username.

  Parameters:
    `remoteUserName` -

### getRemotePassword

    public byte[] getRemotePassword()

  Returns the encrypted password of the remote user returned by getRemoteUserName. If the unencrypted password was set and the bean has not been sent back to the mbean api then the unencrypted password would be returned (encoded in UTF-8).

  Returns:
    remote user encrypted password

### setRemotePassword

    public void setRemotePassword(byte[] remotePassword)

  Sets the password for the remote user. The passed password must be encrypted.

  Parameters:
    `remotePassword` -

### setUnEncryptedPassword

    public void setUnEncryptedPassword(java.lang.String remotePassword)

  sets the unencrypted password for the remote user. The password is encrypted when this bean is sent back to the mbean api.

  Parameters:
    `remotePassword` -

### validate

    public void validate()
                  throws ValidationException

  Description copied from interface: `Validatable`
  Validates bean specific attributes.

  Specified by:
    `validate` in interface `Validatable`
  Overrides:
    `validate` in class `ServiceAccountConfig`
  Throws:
    `ValidationException` - if the validation fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Oracle. All Rights Reserved.